<?php
namespace Teknisa\SM\Controller;

use Teknisa\SM\Controller\SMCrud;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use Teknisa\Libs\Util\NewCode;
use Teknisa\SM\Service\Sm00002000ModeloPropostaComposicaoService;

class Sm00002000ModeloPropostaComposicaoController extends SMCrud
{
    protected $dataSourceName = 'fct_relorcamodcomposicao_widget';
    protected $newCode;
    protected $ServiceComposicaoProp;

    public function __construct ($crudService, $environment, NewCode $newCode, Sm00002000ModeloPropostaComposicaoService $ServiceComposicaoProp) {
        parent::__construct($crudService, $environment);
        $this->newCode = $newCode;
        $this->ServiceComposicaoProp = $ServiceComposicaoProp;
    }

    /**
     * A função "validaCompProposta" verifica se a composição 
     * que está sendo relacionada já está relacionada ao modelo.
     */
    public function validaCompProposta(Request\Row $request, Response $response) {
    
        $row = $request->getRow();
        
        
        $compServico = $row['NRCOMPSERVICO']; 
        $orcaModelo = $row['NRORCAMENTOMODELO'];
        
        $ValidacompServico = $this->ServiceComposicaoProp->validaCompProposta($compServico, $orcaModelo);
        
        $dtsValcompServico = new DataSet('VALIDACOMP', array('VALIDA'=>$ValidacompServico));
        
        $response->addDataSet($dtsValcompServico);
    
    } 
    
    public function save(Request $request, Response $response) {
        
        $rows = $request->getDataSet()->getRows();
        
        foreach($rows as $row) {
            $row['NRRELORCAMODCOMP'] = $this->newCode->getCodeByTableName("FCT_RELORCAMODCOMPOSICAO", $this->environment->getNrOrg());
        }
        
        $request->setParameter('dbname', 'fct_relorcamodcomposicao_widget');
        parent::save($request, $response);
    }
    
    public function delete(Request $request, Response $response) {
        $row = $request->getRow();
        $nrorcamentomodelo = $row["NRORCAMENTOMODELO"];
        $nrcompservico     = $row["NRCOMPSERVICO"];
        $nrorg             = $row["NRORG"];
        
        $this->ServiceComposicaoProp->excluirEmCascata($nrorcamentomodelo, $nrcompservico, $nrorg);
        $response->addMessage(new Response\Message("Registro excluído com sucesso."));
    }
    
    public function find(Request\Filter $request, Response $response) {
    
        $request->setParameter('dbname', 'fct_relorcamodcomposicao_widget');
        parent::find($request, $response);
    
    }
}

?>