/* Tecnisa - Tecnologia em Informtica

 Nome: Movimentao de Estoque

 Descrio:
 Estrutura das tabelas de Movimentao de Estoque

 Criao:
 25/06/2004 - Roberto A. Lopes Martins

 @C:\Win_V4\Sql\End_Conv\Oracle\4000_ESTSTPO_Tabelas_Relatorio.SQL

 A criao das tabelas est duplicado porque em verses mais antigas do
 ORACLE no existe GLOBAL TEMPORARY TABLE.

*/

-- ============================================================
--   Table: RELAT_MOVIEST
-- ============================================================
DROP TABLE RELAT_MOVIEST
GO

CREATE TABLE RELAT_MOVIEST
(
    NRRELATMOVI      VARCHAR(10)           not null,
    CDFILIMOVIEST    VARCHAR(4)            not null,
    CDFILLANCMEST    VARCHAR(4)            not null,
    NRLANCMOVIEST    VARCHAR(10)           not null,
    NRSEQUMOVIEST    VARCHAR(4)            not null,
    NRLOTEESTQME     VARCHAR(20)           not null,
    NRSUBLOTEME      VARCHAR(4)            not null,
    CDPRODMOVIEST    VARCHAR(20)           not null,
    DTLANCMOVIEST    DATETIME              not null,
    CDALMOXARIRM     VARCHAR(6)            not null,
    CDLOCALESTRM     VARCHAR(6)            not null,
    IDTIPOMOVIEST    VARCHAR(1)            not null,
    QTDEMOVIEST      DOUBLE PRECISION      null    ,
    VRCUSTMEDI       DOUBLE PRECISION                  null    ,
    VRCUSTMOVIEST    DOUBLE PRECISION                   null    ,
    QTLANCAMENTO     DOUBLE PRECISION                   null    ,
    VRCUSTBRUT       DOUBLE PRECISION                   null    ,
    VRCUSTMEES       DOUBLE PRECISION                   null    ,
    VRCUSTMEBR       DOUBLE PRECISION                   null    ,
    QTLANCMOVIEST    DOUBLE PRECISION                   null    ,
    VRLANCMOVIEST    DOUBLE PRECISION                   null    ,
    VRBRUTMOVIEST    DOUBLE PRECISION                   null    ,
    CDTOTMOVIEST     VARCHAR(20)           null    ,
    NMPRODMOVIEST    VARCHAR(50)           null    ,
    IDORDEMCALC      VARCHAR(1)            null    ,
    IDALTCMEDMOV     VARCHAR(1)            null    ,
    VRDIFECUST       DOUBLE PRECISION                   null    ,
    VRUNILANCEST     DOUBLE PRECISION                   null    ,
    VRTOTLANCEST     DOUBLE PRECISION                   null    ,
    QTTOTALANT       DOUBLE PRECISION                   null    ,
    VRTOTALANT       DOUBLE PRECISION                   null    ,
    VRCUSTENTRME     DOUBLE PRECISION                   null    ,
    SGUNIDMOVI       VARCHAR(10)           null    ,
    IDENTRSAIDME     VARCHAR(1)            null
        constraint CKC_31738739 check (IDENTRSAIDME is null or (IDENTRSAIDME in ('E','S','-'))),
    CDTIPOOPERME     VARCHAR(2)            null    ,
    CDTIPORETIME     VARCHAR(2)            null    ,
    NMTIPORETIME     VARCHAR(40)           null    ,
    VRCUSTLOGLME     DOUBLE PRECISION      Null    ,
    VRCUSTSEGLME     DOUBLE PRECISION                  Null    ,
    VRPESOBRUTME     DOUBLE PRECISION                  Null    ,
    VRCUSTLOGEME     DOUBLE PRECISION                  Null    ,
    VRCUSTSEGEME     DOUBLE PRECISION                  Null    ,
    VRDIFCUSTEME     DOUBLE PRECISION                  Null    ,
    constraint PK_RELAT_MOVIEST primary key (NRRELATMOVI, CDFILLANCMEST, NRLANCMOVIEST, NRSEQUMOVIEST, NRLOTEESTQME, NRSUBLOTEME, CDPRODMOVIEST, DTLANCMOVIEST, CDALMOXARIRM, CDLOCALESTRM)
)
GO

create index RELAT_MOVIEST_01 on RELAT_MOVIEST (NRRELATMOVI asc, IDTIPOMOVIEST asc, QTLANCAMENTO asc, CDTOTMOVIEST asc, VRCUSTMEDI asc, VRDIFECUST asc)
GO

create index RELAT_MOVIEST_02 on RELAT_MOVIEST (NRRELATMOVI asc, IDTIPOMOVIEST asc, CDFILIMOVIEST asc, CDFILLANCMEST asc, NRLANCMOVIEST asc, NRSEQUMOVIEST asc, QTTOTALANT asc, VRCUSTMEDI asc)
GO

-- ============================================================
--   Table: RELAT_DESCMOVI
-- ============================================================
DROP TABLE RELAT_DESCMOVI
GO

CREATE TABLE RELAT_DESCMOVI
(
    NRRELATDESC      VARCHAR(10)           not null,
    CDFILLANCDMOVI   VARCHAR(4)            not null,
    NRLANCDESCMOVI   VARCHAR(10)           not null,
    CDPRODDESCMOVI   VARCHAR(20)           not null,
    IDTIPODESCMOVI   VARCHAR(1)            not null,
    DTLANCDESCMOVI   DATETIME                   null    ,
    NMPRODDESCMOVI   VARCHAR(50)           null    ,
    constraint PK_RELAT_DESCMOVI primary key (NRRELATDESC, CDFILLANCDMOVI, NRLANCDESCMOVI, CDPRODDESCMOVI)
)
GO

-- ============================================================
--   Table: RELAT_TOTAMOVI
-- ============================================================
DROP TABLE RELAT_TOTAMOVI
GO

create table RELAT_TOTAMOVI
(
    NRRELATTOTA      VARCHAR(10)           not null,
    CDPRODTOTAMOVI   VARCHAR(20)           not null,
    IDTIPOTOTAMOVI   VARCHAR(1)            not null,
    VRSOMPINI        DOUBLE PRECISION                   null    ,
    VRSOMAINV        DOUBLE PRECISION                   null    ,
    VRSOMINVE        DOUBLE PRECISION                   null    ,
    VRSOMENTR        DOUBLE PRECISION                   null    ,
    VRSOMRETI        DOUBLE PRECISION                   null    ,
    VRSOMSAID        DOUBLE PRECISION                   null    ,
    VRSOMDFOR        DOUBLE PRECISION                   null    ,
    VRSOMSATU        DOUBLE PRECISION                   null    ,
    SGUNIDTOTAME     VARCHAR(10)           null    ,
    VRQTDEPINIME     DOUBLE PRECISION                   null    ,
    VRQTDEAINVME     DOUBLE PRECISION                   null    ,
    VRQTDEINVEME     DOUBLE PRECISION                   null    ,
    VRQTDEENTRME     DOUBLE PRECISION                   null    ,
    VRQTDERETIME     DOUBLE PRECISION                   null    ,
    VRQTDESAIDME     DOUBLE PRECISION                   null    ,
    VRQTDEDFORME     DOUBLE PRECISION                   null    ,
    VRQTDESATUME     DOUBLE PRECISION                   null    ,
    VRSOMCUSTLOG     DOUBLE PRECISION                  null    ,
    VRSOMCUSTSEG     DOUBLE PRECISION                  null    ,
    VRPESOTOTAME     DOUBLE PRECISION                  null    ,
    VRSOMDIFSAID     FLOAT                             null    ,
    constraint PK_RELAT_TOTAMOVI primary key (NRRELATTOTA, CDPRODTOTAMOVI),
    constraint RELAT_TOTAMOVI_01 unique (NRRELATTOTA, IDTIPOTOTAMOVI, CDPRODTOTAMOVI)
)
GO

-- ============================================================
--   Table: RELAT_ANALMOVI
-- ============================================================
DROP TABLE RELAT_ANALMOVI
GO

create table RELAT_ANALMOVI
(
    NRRELATANAL      VARCHAR(10)           not null,
    IDSALDOESTAN     VARCHAR(2)            not null
        constraint CKC_32007271 check (IDSALDOESTAN in ('SA','SJ','SI','SE','SR','SS','ST','SL','SG','SP')),
    CDTIPORETIAN     VARCHAR(2)            not null,
    IDENTRSAIDAN     VARCHAR(1)            not null
        constraint CKC_32007273 check (IDENTRSAIDAN in ('E','S','-')),
    CDTIPOOPERAN     VARCHAR(2)            not null,
    VRSALDOESTAN     DOUBLE PRECISION                   null    ,
    QTSALDOESTAN     DOUBLE PRECISION                   null    ,
    NMTIPORETIAN     VARCHAR(40)           null    ,
    constraint PK_RELAT_ANALMOVI primary key (NRRELATANAL, IDSALDOESTAN, CDTIPORETIAN, IDENTRSAIDAN, CDTIPOOPERAN)
)
GO


-- VERSAO --
EXEC ATUVEROBJ 'TABELAS_RELATORIO','4.11.181';
GO

